=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,10 @@
   heif_enc.cc
 )
 
+set (heif_test_sources
+  heif_test.cc
+)
+
 if(MSVC)
   set (heif_convert_sources
     ${heif_convert_sources}
@@ -55,6 +59,12 @@
     ../extra/getopt.h
     ../extra/getopt_long.c
   )
+  set (heif_test_sources
+    ${heif_test_sources}
+    ../extra/getopt.c
+    ../extra/getopt.h
+    ../extra/getopt_long.c
+  )
   include_directories ("../extra")
 endif()
 
@@ -66,3 +76,20 @@
 
 add_executable (heif-enc ${heif_enc_sources})
 target_link_libraries (heif-enc ${LIBHEIF_LIBRARY_NAME} ${JPEG_LIBRARIES} ${LIBPNG_LIBRARIES})
+
+add_executable (heif-test ${heif_test_sources})
+target_link_libraries (heif-test ${LIBHEIF_LIBRARY_NAME})
+
+
+if(LIBPNG_FOUND)
+  set (heif_thumbnailer_sources
+    encoder.cc
+    encoder.h
+    heif_thumbnailer.cc
+    encoder_png.cc
+    encoder_png.h
+    )
+
+  add_executable (heif-thumbnailer ${heif_thumbnailer_sources})
+  target_link_libraries (heif-thumbnailer ${LIBHEIF_LIBRARY_NAME} ${LIBPNG_LIBRARIES})
+endif()
