=== debian/changelog ===
libheif (1.3.2-2~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 07 Jun 2019 20:19:26 +0200

libheif (1.3.2-2) unstable; urgency=medium

  * Team Upload
  
  [ Dylan Aïssi ]
  * Add patch to fix CVE-2019-11471, Closes: #928210

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Jun 2019 17:56:05 -0400

libheif (1.3.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.2
  * Update "Standards-Version" to 4.1.4
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 21 Jun 2018 15:40:05 +0200

libheif (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Joachim Bauch ]
  * Imported Upstream version 1.2.0
  * Remove patch now in upstream.
  * Update symbols for new upstream version.
  * Add new package "heif-thumbnailer".

 -- Joachim Bauch <bauch@struktur.de>  Mon, 28 May 2018 16:12:56 +0200
