=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
@@ -57,3 +57,18 @@
  ratios currently possible.
  .
  Sample applications using libheif are provided by this package.
+
+Package: heif-thumbnailer
+Section: graphics
+Architecture: any
+Depends:
+ libheif1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: ISO/IEC 23008-12:2017 HEIF file format decoder - thumbnailer
+ libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
+ image file format employing HEVC (h.265) image coding for the best compression
+ ratios currently possible.
+ .
+ A thumbnailer for HEIF images that can be used by Nautilus is provided by this
+ package.
