=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends:
  debhelper (>= 10),
  libde265-dev,
+ libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
@@ -72,3 +73,18 @@
  .
  A thumbnailer for HEIF images that can be used by Nautilus is provided by this
  package.
+
+Package: heif-gdk-pixbuf
+Section: graphics
+Architecture: any
+Depends:
+ libheif1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: ISO/IEC 23008-12:2017 HEIF file format decoder - gdk-pixbuf loader
+ libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
+ image file format employing HEVC (h.265) image coding for the best compression
+ ratios currently possible.
+ .
+ A gdk-pixbuf loader module for applications such as "gpicview" and "pcmanfm"
+ is provided by this package.
