## libheif 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 cmake_policy(SET CMP0054 NEW)
 
 # The version number.
-set (NUMERIC_VERSION 0x01000000)
-set (PACKAGE_VERSION 1.0.0)
+set (NUMERIC_VERSION 0x01040000)
+set (PACKAGE_VERSION 1.4.0)
 
 include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
 include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
@@ -53,6 +53,13 @@
   set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
 endif()
 
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG(-Wno-error=potentially-evaluated-expression has_potentially_evaluated_expression)
+if (has_potentially_evaluated_expression)
+#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=potentially-evaluated-expression")
+  add_definitions(-Wno-error=potentially-evaluated-expression)
+endif()
+
 include_directories ("${PROJECT_SOURCE_DIR}")
 
 if(UNIX)
@@ -63,3 +70,4 @@
 
 add_subdirectory (examples)
 add_subdirectory (libheif)
+add_subdirectory (gdk-pixbuf)
