=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: libheif
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  libde265-dev,
  libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
