=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libheif-$1\.tar\.gz/,\
downloadurlmangle=s/.+\/v?(\d\S*)\.tar\.gz/https:\/\/github\.com\/strukturag\/libheif\/releases\/download\/v$1\/libheif-$1\.tar\.gz/ \
  https://github.com/strukturag/libheif/tags .*/v?(\d\S*)\.tar\.gz
