## libheif 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,8 @@
 cmake_minimum_required (VERSION 3.3.2)
 
-project (heif
-    LANGUAGES C CXX
-    VERSION 1.6.1.0
-)
+project(libheif LANGUAGES C CXX VERSION 1.8.0.0)
+
+option(USE_LOCAL_RAV1E "Include rav1e support from local rav1e source" FALSE)
 
 # https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
 cmake_policy(SET CMP0054 NEW)
@@ -11,9 +10,6 @@
 
 # The version number.
 set (PACKAGE_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
-
-configure_file ("libheif/heif_version.h.in" "libheif/heif_version.h")
-
 
 # Check for unistd.h
 
@@ -46,6 +42,9 @@
 
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
+# Create the compile command database for clang by default
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
 option(BUILD_SHARED_LIBS "Build shared libraries" ON)
 
 include(CheckCXXCompilerFlag)
@@ -54,8 +53,62 @@
   add_definitions(-Wno-error=potentially-evaluated-expression)
 endif()
 
-include_directories ("${PROJECT_SOURCE_DIR}")
+LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
+find_package(Libde265 REQUIRED)
+find_package(X265)
+find_package(LibAOM)
 
-add_subdirectory (examples)
+if (LIBDE265_FOUND)
+    message("HEIF decoder, libde265: found")
+else ()
+    message("HEIF decoder, libde265: not found")
+endif ()
+
+if (X265_FOUND)
+    message("HEIF encoder, x265: found")
+else ()
+    message("HEIF encoder, x265: not found")
+endif ()
+
+if (AOM_FOUND)
+    message("AVIF decoder/encoder, aom: found")
+else ()
+    message("AVIF decoder/encoder, aom: not found")
+endif ()
+
+if (USE_LOCAL_RAV1E)
+    message("AVIF encoder, use local rav1e: yes")
+else ()
+    message("AVIF encoder, use local rav1e: no")
+endif ()
+
+
+# Create libheif pkgconfig file
+set(prefix ${CMAKE_INSTALL_PREFIX})
+set(exec_prefix ${CMAKE_INSTALL_PREFIX})
+set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
+set(includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR})
+if (LIBDE265_FOUND)
+    set(have_libde265 yes)
+else()
+    set(have_libde265 no)
+endif()
+if (X265_FOUND)
+    set(have_x265 yes)
+else()
+    set(have_x265 no)
+endif()
+set(VERSION ${PROJECT_VERSION})
+
+configure_file(libheif.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
+option(WITH_EXAMPLES "Build examples" ON)
+
+if(WITH_EXAMPLES)
+    add_subdirectory (examples)
+endif()
 add_subdirectory (libheif)
 add_subdirectory (gdk-pixbuf)
