=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Joachim Bauch <bauch@struktur.de>
 Build-Depends:
  debhelper-compat (= 12),
+ libaom-dev,
  libde265-dev,
  libgdk-pixbuf2.0-dev,
  libjpeg-dev,
  libpng-dev,
  libx265-dev,
  pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.libheif.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif
